
Foreman - Bug #4769

"wrong element type nil at 4 (expected array)" warning from AuthSourceLDAP

03/21/2014 03:11 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Rails   

Target version: 1.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2385

  

Description

The following warnings are shown when running the test suite on Ruby 2.0.

/home/dcleal/code/foreman/foreman/app/models/auth_sources/auth_source_ldap.rb:125: warning: wrong 

element type nil at 4 (expected array)

/home/dcleal/code/foreman/foreman/app/models/auth_sources/auth_source_ldap.rb:125: warning: ignori

ng wrong elements is deprecated, remove them explicitly

/home/dcleal/code/foreman/foreman/app/models/auth_sources/auth_source_ldap.rb:125: warning: this c

auses ArgumentError in the next release

Associated revisions

Revision c7293761 - 05/14/2015 12:21 PM - Dominic Cleal

fixes #4769 - fix deprecation warning while syncing LDAP attrs

History

#1 - 05/14/2015 08:44 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#2 - 05/14/2015 08:45 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2385 added

- Pull request deleted ()

#3 - 05/14/2015 01:01 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c72937610713c71b78682e70787ab6b8a54d4eb9.

#4 - 05/18/2015 03:51 AM - Dominic Cleal

- translation missing: en.field_release set to 35
